# General config
spring.profiles.active=${SPRING_PROFILE:dev}
server.port=${PORT:8080}

# Datasource config
spring.datasource.url= jdbc:postgresql://localhost:5432/EnvironmentDemo
spring.datasource.username= postgres
spring.datasource.password= postgres

# Hibernate config
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQL95Dialect
spring.jpa.hibernate.ddl-auto=${DDL_MODE:create}

# Logging config
spring.jpa.show-sql= ${SHOW_JPA_SQL:true}
logging.level.org.hibernate.stat= debug

# Seeding config
spring.sql.init.platform= postgres
spring.sql.init.mode= ${INIT_MODE:always}

# Swagger config
springdoc.swagger-ui.operationsSorter=method